
// Set this to 1 to get all the missions.
int GIVE_ALL_MISSIONS = 1;

// CHAT
int SCROLL_INTERVAL = 14000;				// How long should each line of chat text linger (milliseconds)
int DEFAULT_CHAT_TEXT_HEIGHT = 25;			// How much space between lines?



//
//     GRAPHICS
//

// Storm3D chunk manager parameters.
int   ST3D_CHUNK_MANAGER_MAX_CHUNKS = 9000;
float ST3D_CHUNK_SIZE_FACTOR = 0.45;
float ST3D_CHUNK_LIFETIME_AVG = 1500.0;
float ST3D_CHUNK_LIFETIME_DEVIATION = 20.0;
float ST3D_CHUNK_MAX_ANGULAR_VELOCITY = 0.90;
float ST3D_CHUNK_MAX_VELOCITY = 10.0;

// Number of Z-sort buckets used by Storm3D renderer
int ST3D_NUM_ZSORT_BUCKETS = 65536;  //16384
int ST3D_SHOW_LIGHT_SOURCE_INFO=0;
int ST3D_PRELOAD_TEXTURES = 1;

// When should we flush buffers (degrading performance) to work around driver bugs?
// 0 = when we don't detect appropriate hardware
// 1 = always
// 2 = never
int cfgST3D_ALWAYS_FLUSH_D3D_BUFFERS = 0;

// Starfield parameters
#define STARFIELD_GEOMETRY_NAME "env_black"
#define STARFIELD_ODF_NAME "stars_default.odf"


// Clipping planes
float NEAR_CLIPPING_PLANE = 20.0;			// meters from eyepoint.  Nominally 1.0
float FAR_CLIPPING_PLANE = 100000.0;			// meters from eyepoint.
float CINERACTIVE_FAR_CLIPPING_PLANE = 20000.0;	// meters from eyepoint.

// Object culling distance
float cfgOBJECT_CULLING_DISTANCE = 2800.0; // meters from eyepoint.

// Clipping planes for the cinematic camera 
float CINEMATIC_NEAR_CLIPPING_PLANE = 10.0;	// meters from eyepoint.  Nominally 1.0
float CINEMATIC_FAR_CLIPPING_PLANE = 300.0;	// meters from eyepoint.  

// Special clipping planes for special effects
float STAR_FAR_CLIP_PLANE = 80000.0;
float GRID_FAR_CLIP_PLANE = 5000.0;
float STARFIELD_GEOMETRY_SCALE = STAR_FAR_CLIP_PLANE*0.02;

// The max index of each of these star types as taken from the 
// starfield.spr file plus 1.
int cfgSTARFIELD_NUM_BSTAR = 20;
int cfgSTARFIELD_NUM_MSTAR = 20;
int cfgSTARFIELD_NUM_CSTAR = 20;

//
// Configuration 0 for a SLOW machine
//

// Configure the main and cinematic views
int DETAIL_0_cinematic_show_grid = 0;
int DETAIL_0_cinematic_show_background = 0;
int DETAIL_0_cinematic_show_stars = 0;
int DETAIL_0_cinematic_show_ordnance = 1;
int DETAIL_0_main_show_grid = 1;
int DETAIL_0_main_show_background = 0;
int DETAIL_0_main_show_stars = 1;
int DETAIL_0_main_show_ordnance = 1;

// Levels of detail based on depth
float DETAIL_0_LOD_0_DISTANCE = 1000.0;
float DETAIL_0_LOD_1_DISTANCE = 500.0;
float DETAIL_0_LOD_2_DISTANCE = 300.0;
float DETAIL_0_LOD_3_DISTANCE = 100.0;

// Clipping planes
float DETAIL_0_NEAR_CLIPPING_PLANE = 5.0;			// meters from eyepoint.  Nominally 1.0
float DETAIL_0_FAR_CLIPPING_PLANE = 100000.0;			// meters from eyepoint.  

// Clipping planes for the cinematic camera 
float DETAIL_0_CINEMATIC_NEAR_CLIPPING_PLANE = 10.0;	// meters from eyepoint.  Nominally 1.0
float DETAIL_0_CINEMATIC_FAR_CLIPPING_PLANE = 300.0;	// meters from eyepoint.  

// Special clipping planes for special effects
float DETAIL_0_STAR_FAR_CLIP_PLANE = 80000.0;
float DETAIL_0_GRID_FAR_CLIP_PLANE = 5000.0;

// Starfield object LOD specific parameters
int	  DETAIL_0_STARFIELD_MIN_STAR_COUNT = 50;
int	  DETAIL_0_STARFIELD_MAX_STAR_COUNT = 105;
float DETAIL_0_STARFIELD_STAR_COUNT_SCALE = 0.2;

int   DETAIL_0_STARFIELD_BACKGROUND_STAR_COUNT = 100;
float DETAIL_0_STARFIELD_BACKGROUND_STAR_MAX_DISTANCE = 40000.0;
float DETAIL_0_STARFIELD_BACKGROUND_STAR_DISTANCE_VARIATION = 10000.0;
float DETAIL_0_STARFIELD_BACKGROUND_STAR_MAX_SIZE = 75.0;
float DETAIL_0_STARFIELD_BACKGROUND_STAR_SIZE_VARIATION = 35.0;

int   DETAIL_0_STARFIELD_MEDIUM_STAR_COUNT = 3;
float DETAIL_0_STARFIELD_MEDIUM_STAR_MAX_DISTANCE = 20000.0;
float DETAIL_0_STARFIELD_MEDIUM_STAR_DISTANCE_VARIATION = 6000.0;
float DETAIL_0_STARFIELD_MEDIUM_STAR_MAX_SIZE = 400.0;
float DETAIL_0_STARFIELD_MEDIUM_STAR_SIZE_VARIATION = 60.0;

int   DETAIL_0_STARFIELD_CLOSE_STAR_COUNT =1;
float DETAIL_0_STARFIELD_CLOSE_STAR_MAX_DISTANCE = 20000.0;
float DETAIL_0_STARFIELD_CLOSE_STAR_DISTANCE_VARIATION = 6000.0;
float DETAIL_0_STARFIELD_CLOSE_STAR_MAX_SIZE = 1000.0;
float DETAIL_0_STARFIELD_CLOSE_STAR_SIZE_VARIATION = 80.0;



//
// Configuration 1 for a slightly faster machine
//

// Configure the main and cinematic views
int DETAIL_1_cinematic_show_grid = 0;
int DETAIL_1_cinematic_show_background = 1;
int DETAIL_1_cinematic_show_stars = 0;
int DETAIL_1_cinematic_show_ordnance = 1;
int DETAIL_1_main_show_grid = 1;
int DETAIL_1_main_show_background = 1;
int DETAIL_1_main_show_stars = 1;
int DETAIL_1_main_show_ordnance = 1;

// Clipping planes
float DETAIL_1_NEAR_CLIPPING_PLANE = 5.0;			// meters from eyepoint.  Nominally 1.0
float DETAIL_1_FAR_CLIPPING_PLANE = 100000.0;			// meters from eyepoint.  

// Clipping planes for the cinematic camera 
float DETAIL_1_CINEMATIC_NEAR_CLIPPING_PLANE = 10.0;	// meters from eyepoint.  Nominally 1.0
float DETAIL_1_CINEMATIC_FAR_CLIPPING_PLANE = 300.0;	// meters from eyepoint.  

// Special clipping planes for special effects
float DETAIL_1_STAR_FAR_CLIP_PLANE = 80000.0;
float DETAIL_1_GRID_FAR_CLIP_PLANE = 5000.0;

// Levels of detail based on depth
float DETAIL_1_LOD_0_DISTANCE = 1000.0;
float DETAIL_1_LOD_1_DISTANCE = 500.0;
float DETAIL_1_LOD_2_DISTANCE = 300.0;
float DETAIL_1_LOD_3_DISTANCE = 100.0;

// Starfield object statistics 
int	  DETAIL_1_STARFIELD_MIN_STAR_COUNT = 105;
int	  DETAIL_1_STARFIELD_MAX_STAR_COUNT = 410;
float DETAIL_1_STARFIELD_STAR_COUNT_SCALE = 0.5;

int DETAIL_1_STARFIELD_BACKGROUND_STAR_COUNT = 400;
float DETAIL_1_STARFIELD_BACKGROUND_STAR_MAX_DISTANCE = 40000.0;
float DETAIL_1_STARFIELD_BACKGROUND_STAR_DISTANCE_VARIATION = 10000.0;
float DETAIL_1_STARFIELD_BACKGROUND_STAR_MAX_SIZE = 75.0;
float DETAIL_1_STARFIELD_BACKGROUND_STAR_SIZE_VARIATION = 35.0;

int DETAIL_1_STARFIELD_MEDIUM_STAR_COUNT = 5;
float DETAIL_1_STARFIELD_MEDIUM_STAR_MAX_DISTANCE = 20000.0;
float DETAIL_1_STARFIELD_MEDIUM_STAR_DISTANCE_VARIATION = 6000.0;
float DETAIL_1_STARFIELD_MEDIUM_STAR_MAX_SIZE = 400.0;
float DETAIL_1_STARFIELD_MEDIUM_STAR_SIZE_VARIATION = 60.0;

int DETAIL_1_STARFIELD_CLOSE_STAR_COUNT =2;
float DETAIL_1_STARFIELD_CLOSE_STAR_MAX_DISTANCE = 20000.0;
float DETAIL_1_STARFIELD_CLOSE_STAR_DISTANCE_VARIATION = 6000.0;
float DETAIL_1_STARFIELD_CLOSE_STAR_MAX_SIZE = 1000.0;
float DETAIL_1_STARFIELD_CLOSE_STAR_SIZE_VARIATION = 80.0;

//
// Configuration 2 for a medium machine
//

// Configure the main and cinematic views
int DETAIL_2_cinematic_show_grid = 0;
int DETAIL_2_cinematic_show_background = 1;
int DETAIL_2_cinematic_show_stars = 0;
int DETAIL_2_cinematic_show_ordnance = 1;
int DETAIL_2_main_show_grid = 1;
int DETAIL_2_main_show_background = 1;
int DETAIL_2_main_show_stars = 1;
int DETAIL_2_main_show_ordnance = 1;

// Clipping planes
float DETAIL_2_NEAR_CLIPPING_PLANE = 5.0;			// meters from eyepoint.  Nominally 1.0
float DETAIL_2_FAR_CLIPPING_PLANE = 100000.0;			// meters from eyepoint.  

// Clipping planes for the cinematic camera 
float DETAIL_2_CINEMATIC_NEAR_CLIPPING_PLANE = 10.0;	// meters from eyepoint.  Nominally 1.0
float DETAIL_2_CINEMATIC_FAR_CLIPPING_PLANE = 300.0;	// meters from eyepoint.  

// Special clipping planes for special effects
float DETAIL_2_STAR_FAR_CLIP_PLANE = 80000.0;
float DETAIL_2_GRID_FAR_CLIP_PLANE = 5000.0;

// Levels of detail based on depth
float DETAIL_2_LOD_0_DISTANCE = 1000.0;
float DETAIL_2_LOD_1_DISTANCE = 500.0;
float DETAIL_2_LOD_2_DISTANCE = 300.0;
float DETAIL_2_LOD_3_DISTANCE = 100.0;

// Starfield object statistics 
int	  DETAIL_2_STARFIELD_MIN_STAR_COUNT = 410;
int	  DETAIL_2_STARFIELD_MAX_STAR_COUNT = 765;
float DETAIL_2_STARFIELD_STAR_COUNT_SCALE = 1.0;

int DETAIL_2_STARFIELD_BACKGROUND_STAR_COUNT = 750;
float DETAIL_2_STARFIELD_BACKGROUND_STAR_MAX_DISTANCE = 40000.0;
float DETAIL_2_STARFIELD_BACKGROUND_STAR_DISTANCE_VARIATION = 10000.0;
float DETAIL_2_STARFIELD_BACKGROUND_STAR_MAX_SIZE = 75.0;
float DETAIL_2_STARFIELD_BACKGROUND_STAR_SIZE_VARIATION = 35.0;

int DETAIL_2_STARFIELD_MEDIUM_STAR_COUNT = 10;
float DETAIL_2_STARFIELD_MEDIUM_STAR_MAX_DISTANCE = 20000.0;
float DETAIL_2_STARFIELD_MEDIUM_STAR_DISTANCE_VARIATION = 6000.0;
float DETAIL_2_STARFIELD_MEDIUM_STAR_MAX_SIZE = 400.0;
float DETAIL_2_STARFIELD_MEDIUM_STAR_SIZE_VARIATION = 60.0;

int DETAIL_2_STARFIELD_CLOSE_STAR_COUNT =3;
float DETAIL_2_STARFIELD_CLOSE_STAR_MAX_DISTANCE = 20000.0;
float DETAIL_2_STARFIELD_CLOSE_STAR_DISTANCE_VARIATION = 6000.0;
float DETAIL_2_STARFIELD_CLOSE_STAR_MAX_SIZE = 1000.0;
float DETAIL_2_STARFIELD_CLOSE_STAR_SIZE_VARIATION = 80.0;



//
// Configuration 3 for a fast machine
//

// Configure the main and cinematic views
int DETAIL_3_cinematic_show_grid = 0;
int DETAIL_3_cinematic_show_background = 1;
int DETAIL_3_cinematic_show_stars = 0;
int DETAIL_3_cinematic_show_ordnance = 1;
int DETAIL_3_main_show_grid = 1;
int DETAIL_3_main_show_background = 1;
int DETAIL_3_main_show_stars = 1;
int DETAIL_3_main_show_ordnance = 1;

// Clipping planes
float DETAIL_3_NEAR_CLIPPING_PLANE = 5.0;			// meters from eyepoint.  Nominally 1.0
float DETAIL_3_FAR_CLIPPING_PLANE = 100000.0;			// meters from eyepoint.  

// Clipping planes for the cinematic camera 
float DETAIL_3_CINEMATIC_NEAR_CLIPPING_PLANE = 10.0;	// meters from eyepoint.  Nominally 1.0
float DETAIL_3_CINEMATIC_FAR_CLIPPING_PLANE = 300.0;	// meters from eyepoint.  

// Special clipping planes for special effects
float DETAIL_3_STAR_FAR_CLIP_PLANE = 80000.0;
float DETAIL_3_GRID_FAR_CLIP_PLANE = 5000.0;

// Levels of detail based on depth
float DETAIL_3_LOD_0_DISTANCE = 1000.0;
float DETAIL_3_LOD_1_DISTANCE = 500.0;
float DETAIL_3_LOD_2_DISTANCE = 300.0;
float DETAIL_3_LOD_3_DISTANCE = 100.0;

// Starfield object statistics 
int	  DETAIL_3_STARFIELD_MIN_STAR_COUNT = 410;
int	  DETAIL_3_STARFIELD_MAX_STAR_COUNT = 765;
float DETAIL_3_STARFIELD_STAR_COUNT_SCALE = 1.0;

int DETAIL_3_STARFIELD_BACKGROUND_STAR_COUNT = 750;
float DETAIL_3_STARFIELD_BACKGROUND_STAR_MAX_DISTANCE = 40000.0;
float DETAIL_3_STARFIELD_BACKGROUND_STAR_DISTANCE_VARIATION = 10000.0;
float DETAIL_3_STARFIELD_BACKGROUND_STAR_MAX_SIZE = 75.0;
float DETAIL_3_STARFIELD_BACKGROUND_STAR_SIZE_VARIATION = 35.0;

int DETAIL_3_STARFIELD_MEDIUM_STAR_COUNT = 10;
float DETAIL_3_STARFIELD_MEDIUM_STAR_MAX_DISTANCE = 20000.0;
float DETAIL_3_STARFIELD_MEDIUM_STAR_DISTANCE_VARIATION = 6000.0;
float DETAIL_3_STARFIELD_MEDIUM_STAR_MAX_SIZE = 400.0;
float DETAIL_3_STARFIELD_MEDIUM_STAR_SIZE_VARIATION = 60.0;

int DETAIL_3_STARFIELD_CLOSE_STAR_COUNT =3;
float DETAIL_3_STARFIELD_CLOSE_STAR_MAX_DISTANCE = 20000.0;
float DETAIL_3_STARFIELD_CLOSE_STAR_DISTANCE_VARIATION = 6000.0;
float DETAIL_3_STARFIELD_CLOSE_STAR_MAX_SIZE = 1000.0;
float DETAIL_3_STARFIELD_CLOSE_STAR_SIZE_VARIATION = 80.0;



//
// Configuration 4 for a very fast machine
//

// Configure the main and cinematic views
int DETAIL_4_cinematic_show_grid = 0;
int DETAIL_4_cinematic_show_background = 1;
int DETAIL_4_cinematic_show_stars = 0;
int DETAIL_4_cinematic_show_ordnance = 1;
int DETAIL_4_main_show_grid = 1;
int DETAIL_4_main_show_background = 1;
int DETAIL_4_main_show_stars = 1;
int DETAIL_4_main_show_ordnance = 1;

// Clipping planes
float DETAIL_4_NEAR_CLIPPING_PLANE = 5.0;			// meters from eyepoint.  Nominally 1.0
float DETAIL_4_FAR_CLIPPING_PLANE = 100000.0;			// meters from eyepoint.  

// Clipping planes for the cinematic camera 
float DETAIL_4_CINEMATIC_NEAR_CLIPPING_PLANE = 10.0;	// meters from eyepoint.  Nominally 1.0
float DETAIL_4_CINEMATIC_FAR_CLIPPING_PLANE = 300.0;	// meters from eyepoint.  

// Special clipping planes for special effects
float DETAIL_4_STAR_FAR_CLIP_PLANE = 80000.0;
float DETAIL_4_GRID_FAR_CLIP_PLANE = 5000.0;

// Levels of detail based on depth
float DETAIL_4_LOD_0_DISTANCE = 1000.0;
float DETAIL_4_LOD_1_DISTANCE = 500.0;
float DETAIL_4_LOD_2_DISTANCE = 300.0;
float DETAIL_4_LOD_3_DISTANCE = 100.0;


// Starfield object statistics 
int	  DETAIL_4_STARFIELD_MIN_STAR_COUNT = 700;
int	  DETAIL_4_STARFIELD_MAX_STAR_COUNT = 1000;
float DETAIL_4_STARFIELD_STAR_COUNT_SCALE = 1.0;

int DETAIL_4_STARFIELD_BACKGROUND_STAR_COUNT = 750;
float DETAIL_4_STARFIELD_BACKGROUND_STAR_MAX_DISTANCE = 40000.0;
float DETAIL_4_STARFIELD_BACKGROUND_STAR_DISTANCE_VARIATION = 10000.0;
float DETAIL_4_STARFIELD_BACKGROUND_STAR_MAX_SIZE = 75.0;
float DETAIL_4_STARFIELD_BACKGROUND_STAR_SIZE_VARIATION = 35.0;

int DETAIL_4_STARFIELD_MEDIUM_STAR_COUNT = 10;
float DETAIL_4_STARFIELD_MEDIUM_STAR_MAX_DISTANCE = 20000.0;
float DETAIL_4_STARFIELD_MEDIUM_STAR_DISTANCE_VARIATION = 6000.0;
float DETAIL_4_STARFIELD_MEDIUM_STAR_MAX_SIZE = 400.0;
float DETAIL_4_STARFIELD_MEDIUM_STAR_SIZE_VARIATION = 60.0;

int DETAIL_4_STARFIELD_CLOSE_STAR_COUNT =3;
float DETAIL_4_STARFIELD_CLOSE_STAR_MAX_DISTANCE = 20000.0;
float DETAIL_4_STARFIELD_CLOSE_STAR_DISTANCE_VARIATION = 6000.0;
float DETAIL_4_STARFIELD_CLOSE_STAR_MAX_SIZE = 1000.0;
float DETAIL_4_STARFIELD_CLOSE_STAR_SIZE_VARIATION = 80.0;